Getline (Sigar API)
Date: 2009-07-09

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar.util
Class Getline

    java.lang.Object
      org.hyperic.sigar.util.Getline

    public class Getline

extends java.lang.Object

This class provides Emacs style key bindings, history and tab completion for command shell applications. This class is a Java interface to the getline.c package: Copyright (C) 1991, 1992 by Chris Thewalt (thewalt@ce.berkeley.edu)

Constructor Summary
`Getline()`
`Getline(java.lang.String prompt)`

Method Summary
`void` | `addToHistory(java.lang.String line)`
`java.lang.String` | `getLine()`
`java.lang.String` | `getLine(java.lang.String prompt)`
`java.lang.String` | `getLine(java.lang.String prompt, boolean addToHistory)`
`void` | `initHistoryFile(java.io.File file)`
`static boolean` | `isTTY()`
`void` | `redraw()`
`void` | `reset()`
`static void` | `setCompleter(GetlineCompleter completer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Getline

    public Getline()

### Getline

    public Getline(java.lang.String prompt)

Method Detail

### setCompleter

    public static void setCompleter(GetlineCompleter completer)

### redraw

    public void redraw()

### reset

    public void reset()

### isTTY

    public static boolean isTTY()

### getLine

    public java.lang.String getLine()
                             throws java.io.IOException,
                                    java.io.EOFException

  Throws:
    `java.io.IOException`
    `java.io.EOFException`

### getLine

    public java.lang.String getLine(java.lang.String prompt)
                             throws java.io.IOException,
                                    java.io.EOFException

  Throws:
    `java.io.IOException`
    `java.io.EOFException`

### getLine

    public java.lang.String getLine(java.lang.String prompt,
                                    boolean addToHistory)
                             throws java.io.IOException,
                                    java.io.EOFException

  Throws:
    `java.io.IOException`
    `java.io.EOFException`

### initHistoryFile

    public void initHistoryFile(java.io.File file)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### addToHistory

    public void addToHistory(java.lang.String line)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.